/* _sp2m_caln -- take data as NRM directions for use by "pdirec"
		modified to read old style file (_*.txt) of Spinner 2000   080712
	WARNING: only OSTR, ODIP, XDAT, YDAT, ZDAT are modified in bufparam().
*/

#include <string.h>
#include <stdlib.h>
#include "_sp2m.h"

#define CONT0 "$ %s\n"
#define CONT "%8s %5.1f %6.1f %5.1f %6.1f %5.1f %6.1f -1.0 A 1 %10.3e\n"
#define ERRMSG "_sp2m_caln: error in reading a file!"

extern char Files[][LFILES];

void _sp2m_caln(n)
int n;
{
	FILE *fp;
	char sample[10], buf[LBUF], s[LBUF];
	double azim, plun, strik, dip, x0, y0, z0, x1, y1, z1, x2, y2, z2, M, I0, D0, I1, D1, \
		I2, D2, dumm, xd, yd, zd;

	if ((fp = fopen(Files[n], "r")) == NULL) error("_sp2m_caln: error in fopen!");
	fprintf(stdout, CONT0, Files[n]);
	while (getstr(fp, buf, LBUF) != EOF){  /* 1st line */
		get_apsd(buf, &azim, &plun, &strik, &dip);
		strcpy(s, buf);
		strcpy(sample, strtok(s, " ("));
		if (getstr(fp, buf, LBUF) == EOF) error(ERRMSG);
		if (getstr(fp, buf, LBUF) == EOF) error(ERRMSG);
		if (getstr(fp, buf, LBUF) == EOF) error(ERRMSG);  /* 4th line */
		x0 = bufparam(buf, XDAT);   y0 = bufparam(buf, YDAT);   z0 = bufparam(buf, ZDAT);
		if (getstr(fp, buf, LBUF) == EOF) error(ERRMSG);
		if (getstr(fp, buf, LBUF) == EOF) error(ERRMSG);
		if (getstr(fp, buf, LBUF) == EOF) error(ERRMSG);
		if (getstr(fp, buf, LBUF) == EOF) error(ERRMSG);  /* 8th line */
		core(azim, plun, x0, y0, z0, &x1, &y1, &z1);
		rotvec(-strik, -dip, x1, y1, z1, &xd, &yd, &zd);
		rotvec(strik, 0., xd, yd, zd, &x2, &y2, &z2);
		carmag(x0, y0, z0, &M, &I0, &D0);
		carmag(x1, y1, z1, &dumm, &I1, &D1);
		carmag(x2, y2, z2, &dumm, &I2, &D2);
		fprintf(stdout, CONT, sample, I0, D0, I1, D1, I2, D2, M);
	}
	fclose(fp);
}
#undef CONT
#undef CONT0
#undef ERRMSG
