# t-igrf.d -- test data for program igrf. To test type as,
#
#     igrf -f t-igrf.d
#
# the output is given at the end of this file.

$ 2020 5 15 0.2
33 24 -133 36
33.4 -133.6

$ 1991.33 0.5
-20.2 145.5

$ 2011 12 1
86 26 162 50

$ 2016.167
-90 0

# ** IGRF elements from t-igrf.d **
# ** Geodetic system adopted. **
# 
# Year Mo Dy altitude
# 2020  5 15    0.2
# Lat-d Lat-m Lon-d Lon-m
#   33    24  -133    36
#    X      Y      Z     F     I      D
#  24192   5678  35552 43376  55.05  13.21
# Latitude Longitude
#  33.40    -133.60
#    X      Y      Z     F     I      D
#  24192   5678  35552 43376  55.05  13.21
# 
# Year     altitude
# 1991.330    0.5
# Latitude Longitude
# -20.20    145.50
#    X      Y      Z     F     I      D
#  31878   4301 -38672 50301 -50.25   7.68
# 
# Year Mo Dy altitude
# 2011 12  1    0.0
# Lat-d Lat-m Lon-d Lon-m
#   86    26   162    50
#    X      Y      Z     F     I      D
#    125    485  57247 57249  89.50  75.55
# 
# Year     altitude
# 2016.167    0.0
# Latitude Longitude
# -90.00      0.00
#    X      Y      Z     F     I      D
#    *      *   -52338 54944 -72.28   *
# (At the poles X, Y, D are indefinite. H= 16722)
