/* pc_cmd -- command interpretation for pcalc */

#include <ctype.h>
#include <string.h>
#include "pcalc.h"

extern FILE *Fp;
extern char Filed[];
extern int Optl;

int pc_cmd(argc, argv)
int argc;
char *argv[];
{
	char *s;
	int c, flagp = 0, flagf = 0;

	if (argc < 2) error(USAGE);
	while (--argc > 0){
		if (*argv[argc] == '-'){
			s = argv[argc] + 1;
			switch (toupper(*s)){
			case 'A':
				if (flagp == 0) flagp = 1;
				else error("Only one option works!");
				return(ASSORT);
				break;
			case 'H':
				if (flagp == 0) flagp = 1;
				else error("Only one option works!");
				showless(HELP);
				break;
			case 'F':
				if (flagp == 0) flagp = 1;
				else error("Only one option works!");
				c = FIELD;
				break;
			case 'V':
				if (flagp == 0) flagp = 1;
				else error("Only one option works!");
				c = VGP;
				break;
			case 'I':
				if (flagp == 0) flagp = 1;
				else error("Only one option works!");
				c = INCONLY;
				break;
			case 'G':
				if (flagp == 0) flagp = 1;
				else error("Only one option works!");
				c = IGRF;
				break;
			case 'B':
				if (flagp == 0) flagp = 1;
				else error("Only one option works!");
				c = BING;
				break;
			case 'C':
				if (flagp == 0) flagp = 1;
				else error("Only one option works!");
				c = CIRC;
				break;
			case 'L':
				Optl = 1;
				break;
			default:
				error("Unknown option!");
				break;
			}
		}
		else {
			if (flagf != 0) error("Assign only one file!");
			strcpy(Filed, argv[argc]);
			flagf = 1;
		}
	}
	if (flagp == 0) error("Assign at least one option except \"-L\"!");
	if (flagf != 0){
		if ((Fp=fopen(Filed,"r")) == NULL) error("Error of open file!");
 	return(c);
	}
	else
		error("Error of input file!");
}
