/* pc_meaninc2 -- AL10's inclination only statitsics from a file (limitless data number). */

#include <stdlib.h>
#include <string.h>
#include "pcalc.h"

#define CONT "MLE estimations:\n n   Im      km     a95   iteration\n%2d %6.2f %7.2f %6.2f   %5d\n"

extern FILE *Fp;
extern char Filed[];
extern int Optl;
extern double Ir, Km, A95, *Is;

void pc_meaninc2()
{
	char s1[30];
	int c, itr, i, n;
	double incmath, kmath, dum1, dum2;

	i = 0;
	while ((c=get_s(Fp,1,s1)) != EOF){
		if (c==0 || s1[0]=='#' || s1[0]=='%' || s1[0]=='$') continue;
		i++;
	}
	n = i;
	Is = mallocvd(n);
	rewind(Fp);

	i = 0;
	while ((c=get_s(Fp,1,s1)) != EOF){
		if (c==0 || s1[0]=='#' || s1[0]=='%' || s1[0]=='$') continue;
		Is[i] = atof(s1);
		i++;
	}
	if (n != i) error("Error of count data!");
	if (n < 2) return;
	meanvar(n, Is, &incmath, &dum1, &dum2);
	kmath = RAD*RAD/dum1;
	printf("Inclination only statistics of %s:\n", Filed);
	printf("Arith. mean: Im=%6.2f, km=%6.2f\n", incmath, kmath);
	itr = stati(Is, n, &Ir, &Km, &A95);
	printf(CONT, n, Ir, Km, A95, itr);
	if (Optl == 1){
		printf("Input data:\n i    I     dev\n");
		for (i=0; i<n; i++)
			printf("%2d %6.2f %6.2f\n", i+1, Is[i], Is[i]-Ir);
	}
	freevd(Is);
	fclose(Fp);
}
#undef CONT
/*
while (yorn("",-1)){};
pc_minc_rcal(n, m, itr);
*/
